# Copyright 2022 Le Filament (https://le-filament.com)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html)

from odoo import models


class AccountMoveLine(models.Model):
    _inherit = "account.move.line"

    # ------------------------------------------------------
    # Override parent
    # ------------------------------------------------------
    def _get_computed_name(self):
        """
        Override parent function to disable sale_description
        """
        super(AccountMoveLine, self)._get_computed_name()
        name = self.ensure_one()
        if self.product_id and self.journal_id.type == "sale":
            if self.partner_id.lang:
                product = self.product_id.with_context(lang=self.partner_id.lang)
            else:
                product = self.product_id
            return product.partner_ref
        else:
            return name

    # ------------------------------------------------------
    # SQL Constraints
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Default methods
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Computed fields / Search Fields
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Onchange / Constraints
    # ------------------------------------------------------

    # ------------------------------------------------------
    # CRUD methods (ORM overrides)
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Actions
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Business methods
    # ------------------------------------------------------
