# Copyright 2022 Le Filament (https://le-filament.com)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html)

from odoo import fields, models


class AccountInvoiceReport(models.Model):
    _inherit = "account.invoice.report"

    partner_shipping_id = fields.Many2one(
        comodel_name="res.partner",
        string="Adresse de livraison",
        readonly=True,
    )
    purchasing_centre_id = fields.Many2one(
        comodel_name="res.partner",
        string="Centrale d'achat",
        readonly=True,
    )
    membership_number = fields.Char(
        string="N° Adhérent",
        readonly=True,
    )

    _depends = {
        "account.move": [
            "partner_shipping_id",
            "purchasing_centre_id",
            "membership_number",
        ],
    }

    # ------------------------------------------------------
    # Inherit parent
    # ------------------------------------------------------
    def _select(self):
        return (
            super()._select()
            + ", move.partner_shipping_id, move.purchasing_centre_id, move.membership_number"
        )
